# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{asciidoctor}
  s.version = "1.5.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Dan Allen", "Sarah White", "Ryan Waldron", "Jason Porter", "Nick Hengeveld", "Jeremy McAnally"]
  s.date = %q{2016-01-05}
  s.description = %q{A fast, open source text processor and publishing toolchain, written in Ruby, for converting AsciiDoc content to HTML5, DocBook 5 (or 4.5) and other formats.
}
  s.email = ["dan.j.allen@gmail.com"]
  s.executables = ["asciidoctor", "asciidoctor-safe"]
  s.extra_rdoc_files = ["CHANGELOG.adoc", "CONTRIBUTING.adoc", "LICENSE.adoc"]
  s.files = ["CHANGELOG.adoc", "CONTRIBUTING.adoc", "LICENSE.adoc", "README.adoc", "bin/asciidoctor", "bin/asciidoctor-safe", "data/stylesheets/asciidoctor-default.css", "data/stylesheets/coderay-asciidoctor.css", "features/open_block.feature", "features/pass_block.feature", "features/step_definitions.rb", "features/text_formatting.feature", "features/xref.feature", "lib/asciidoctor.rb", "lib/asciidoctor/abstract_block.rb", "lib/asciidoctor/abstract_node.rb", "lib/asciidoctor/attribute_list.rb", "lib/asciidoctor/block.rb", "lib/asciidoctor/callouts.rb", "lib/asciidoctor/cli.rb", "lib/asciidoctor/cli/invoker.rb", "lib/asciidoctor/cli/options.rb", "lib/asciidoctor/converter.rb", "lib/asciidoctor/converter/base.rb", "lib/asciidoctor/converter/composite.rb", "lib/asciidoctor/converter/docbook45.rb", "lib/asciidoctor/converter/docbook5.rb", "lib/asciidoctor/converter/factory.rb", "lib/asciidoctor/converter/html5.rb", "lib/asciidoctor/converter/manpage.rb", "lib/asciidoctor/converter/template.rb", "lib/asciidoctor/core_ext.rb", "lib/asciidoctor/core_ext/object/nil_or_empty.rb", "lib/asciidoctor/core_ext/string/chr.rb", "lib/asciidoctor/core_ext/symbol/length.rb", "lib/asciidoctor/document.rb", "lib/asciidoctor/extensions.rb", "lib/asciidoctor/helpers.rb", "lib/asciidoctor/inline.rb", "lib/asciidoctor/list.rb", "lib/asciidoctor/parser.rb", "lib/asciidoctor/path_resolver.rb", "lib/asciidoctor/reader.rb", "lib/asciidoctor/section.rb", "lib/asciidoctor/stylesheets.rb", "lib/asciidoctor/substitutors.rb", "lib/asciidoctor/table.rb", "lib/asciidoctor/timings.rb", "lib/asciidoctor/version.rb", "man/asciidoctor.1", "man/asciidoctor.adoc", "test/attributes_test.rb", "test/blocks_test.rb", "test/converter_test.rb", "test/document_test.rb", "test/extensions_test.rb", "test/fixtures/asciidoc_index.txt", "test/fixtures/basic-docinfo-footer.html", "test/fixtures/basic-docinfo-footer.xml", "test/fixtures/basic-docinfo.html", "test/fixtures/basic-docinfo.xml", "test/fixtures/basic.asciidoc", "test/fixtures/chapter-a.adoc", "test/fixtures/child-include.adoc", "test/fixtures/circle.svg", "test/fixtures/custom-backends/erb/html5/block_paragraph.html.erb", "test/fixtures/custom-backends/haml/docbook45/block_paragraph.xml.haml", "test/fixtures/custom-backends/haml/html5-tweaks/block_paragraph.html.haml", "test/fixtures/custom-backends/haml/html5/block_paragraph.html.haml", "test/fixtures/custom-backends/haml/html5/block_sidebar.html.haml", "test/fixtures/custom-backends/slim/docbook45/block_paragraph.xml.slim", "test/fixtures/custom-backends/slim/html5/block_paragraph.html.slim", "test/fixtures/custom-backends/slim/html5/block_sidebar.html.slim", "test/fixtures/custom-docinfodir/basic-docinfo.html", "test/fixtures/custom-docinfodir/docinfo.html", "test/fixtures/docinfo-footer.html", "test/fixtures/docinfo-footer.xml", "test/fixtures/docinfo.html", "test/fixtures/docinfo.xml", "test/fixtures/dot.gif", "test/fixtures/encoding.asciidoc", "test/fixtures/grandchild-include.adoc", "test/fixtures/hello-asciidoctor.pdf", "test/fixtures/include-file.asciidoc", "test/fixtures/include-file.xml", "test/fixtures/master.adoc", "test/fixtures/parent-include-restricted.adoc", "test/fixtures/parent-include.adoc", "test/fixtures/sample.asciidoc", "test/fixtures/stylesheets/custom.css", "test/fixtures/subs-docinfo.html", "test/fixtures/subs.adoc", "test/fixtures/tip.gif", "test/invoker_test.rb", "test/links_test.rb", "test/lists_test.rb", "test/manpage_test.rb", "test/options_test.rb", "test/paragraphs_test.rb", "test/parser_test.rb", "test/paths_test.rb", "test/preamble_test.rb", "test/reader_test.rb", "test/sections_test.rb", "test/substitutions_test.rb", "test/tables_test.rb", "test/test_helper.rb", "test/text_test.rb"]
  s.homepage = %q{http://asciidoctor.org}
  s.licenses = ["MIT"]
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{An implementation of the AsciiDoc text processor and publishing toolchain in Ruby}
  s.test_files = ["features/open_block.feature", "features/pass_block.feature", "features/step_definitions.rb", "features/text_formatting.feature", "features/xref.feature", "test/attributes_test.rb", "test/blocks_test.rb", "test/converter_test.rb", "test/document_test.rb", "test/extensions_test.rb", "test/invoker_test.rb", "test/links_test.rb", "test/lists_test.rb", "test/manpage_test.rb", "test/options_test.rb", "test/paragraphs_test.rb", "test/parser_test.rb", "test/paths_test.rb", "test/preamble_test.rb", "test/reader_test.rb", "test/sections_test.rb", "test/substitutions_test.rb", "test/tables_test.rb", "test/text_test.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<asciimath>, ["~> 1.0.2"])
      s.add_development_dependency(%q<coderay>, ["~> 1.1.0"])
      s.add_development_dependency(%q<cucumber>, ["~> 1.3.1"])
      s.add_development_dependency(%q<erubis>, ["~> 2.7.0"])
      s.add_development_dependency(%q<haml>, ["~> 4.0.0"])
      s.add_development_dependency(%q<nokogiri>, ["~> 1.5.10"])
      s.add_development_dependency(%q<rake>, ["~> 10.0.0"])
      s.add_development_dependency(%q<rspec-expectations>, ["~> 2.14.0"])
      s.add_development_dependency(%q<slim>, ["~> 2.0.0"])
      s.add_development_dependency(%q<thread_safe>, ["~> 0.3.4"])
      s.add_development_dependency(%q<tilt>, ["~> 2.0.0"])
      s.add_development_dependency(%q<yard>, ["~> 0.8.7"])
      s.add_development_dependency(%q<yard-tomdoc>, ["~> 0.7.0"])
      s.add_development_dependency(%q<minitest>, ["~> 5.3.0"])
    else
      s.add_dependency(%q<asciimath>, ["~> 1.0.2"])
      s.add_dependency(%q<coderay>, ["~> 1.1.0"])
      s.add_dependency(%q<cucumber>, ["~> 1.3.1"])
      s.add_dependency(%q<erubis>, ["~> 2.7.0"])
      s.add_dependency(%q<haml>, ["~> 4.0.0"])
      s.add_dependency(%q<nokogiri>, ["~> 1.5.10"])
      s.add_dependency(%q<rake>, ["~> 10.0.0"])
      s.add_dependency(%q<rspec-expectations>, ["~> 2.14.0"])
      s.add_dependency(%q<slim>, ["~> 2.0.0"])
      s.add_dependency(%q<thread_safe>, ["~> 0.3.4"])
      s.add_dependency(%q<tilt>, ["~> 2.0.0"])
      s.add_dependency(%q<yard>, ["~> 0.8.7"])
      s.add_dependency(%q<yard-tomdoc>, ["~> 0.7.0"])
      s.add_dependency(%q<minitest>, ["~> 5.3.0"])
    end
  else
    s.add_dependency(%q<asciimath>, ["~> 1.0.2"])
    s.add_dependency(%q<coderay>, ["~> 1.1.0"])
    s.add_dependency(%q<cucumber>, ["~> 1.3.1"])
    s.add_dependency(%q<erubis>, ["~> 2.7.0"])
    s.add_dependency(%q<haml>, ["~> 4.0.0"])
    s.add_dependency(%q<nokogiri>, ["~> 1.5.10"])
    s.add_dependency(%q<rake>, ["~> 10.0.0"])
    s.add_dependency(%q<rspec-expectations>, ["~> 2.14.0"])
    s.add_dependency(%q<slim>, ["~> 2.0.0"])
    s.add_dependency(%q<thread_safe>, ["~> 0.3.4"])
    s.add_dependency(%q<tilt>, ["~> 2.0.0"])
    s.add_dependency(%q<yard>, ["~> 0.8.7"])
    s.add_dependency(%q<yard-tomdoc>, ["~> 0.7.0"])
    s.add_dependency(%q<minitest>, ["~> 5.3.0"])
  end
end
